From 78ff9b72ec38a6d4072d2462f54aed812e30c107 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Thu, 17 Aug 2017 12:39:20 -0400
Subject: [PATCH 1/6] fuzzystrmatch: Remove dead code

---
 contrib/fuzzystrmatch/fuzzystrmatch.c | 33 ++++++---------------------------
 1 file changed, 6 insertions(+), 27 deletions(-)

diff --git a/contrib/fuzzystrmatch/fuzzystrmatch.c b/contrib/fuzzystrmatch/fuzzystrmatch.c
index ce58a6a7fc..c9928cede8 100644
--- a/contrib/fuzzystrmatch/fuzzystrmatch.c
+++ b/contrib/fuzzystrmatch/fuzzystrmatch.c
@@ -94,18 +94,6 @@ soundex_code(char letter)
 ****************************************************************************/
 
 
-/**************************************************************************
-	my constants -- constants I like
-
-	Probably redundant.
-
-***************************************************************************/
-
-#define META_ERROR			FALSE
-#define META_SUCCESS		TRUE
-#define META_FAILURE		FALSE
-
-
 /*	I add modifications to the traditional metaphone algorithm that you
 	might find in books.  Define this if you want metaphone to behave
 	traditionally */
@@ -116,7 +104,7 @@ soundex_code(char letter)
 #define  TH		'0'
 
 static char Lookahead(char *word, int how_far);
-static int	_metaphone(char *word, int max_phonemes, char **phoned_word);
+static void	_metaphone(char *word, int max_phonemes, char **phoned_word);
 
 /* Metachar.h ... little bits about characters for metaphone */
 
@@ -272,7 +260,6 @@ metaphone(PG_FUNCTION_ARGS)
 	size_t		str_i_len = strlen(str_i);
 	int			reqlen;
 	char	   *metaph;
-	int			retval;
 
 	/* return an empty string if we receive one */
 	if (!(str_i_len > 0))
@@ -297,16 +284,8 @@ metaphone(PG_FUNCTION_ARGS)
 				 errmsg("output cannot be empty string")));
 
 
-	retval = _metaphone(str_i, reqlen, &metaph);
-	if (retval == META_SUCCESS)
-		PG_RETURN_TEXT_P(cstring_to_text(metaph));
-	else
-	{
-		/* internal error */
-		elog(ERROR, "metaphone: failure");
-		/* keep the compiler quiet */
-		PG_RETURN_NULL();
-	}
+	_metaphone(str_i, reqlen, &metaph);
+	PG_RETURN_TEXT_P(cstring_to_text(metaph));
 }
 
 
@@ -362,7 +341,7 @@ Lookahead(char *word, int how_far)
 #define Isbreak(c)	(!isalpha((unsigned char) (c)))
 
 
-static int
+static void
 _metaphone(char *word,			/* IN */
 		   int max_phonemes,
 		   char **phoned_word)	/* OUT */
@@ -404,7 +383,7 @@ _metaphone(char *word,			/* IN */
 		if (Curr_Letter == '\0')
 		{
 			End_Phoned_Word;
-			return META_SUCCESS;	/* For testing */
+			return;
 		}
 	}
 
@@ -721,7 +700,7 @@ _metaphone(char *word,			/* IN */
 
 	End_Phoned_Word;
 
-	return (META_SUCCESS);
+	return;
 }								/* END metaphone */
 
 

base-commit: d54285935072175aac1c446e15ec778b08a8fd75
-- 
2.14.1

